#include <bits/stdc++.h>

using namespace std;

vector <int> solve (vector<int> a){

    int n = a.size();

    vector <bool> odKolkuZaIndeks (n, false);
    vector <int> kolkuZaIndeks = a;
    vector <int> baraniIndeksi;
    vector <int> dadeniNaMartina;
    sort (a.rbegin(), a.rend());
    int s=0, m=0, zbir=0;

    for (int i=0; i<n; i++){
        zbir += a[i];
    }

    int poluZbir = zbir/2;

    int brPakuvanja = n, ps =0, pm = 0, pakuvanjaPola = n/2;
    for (int i=0; i<brPakuvanja; i++){
        if(s<=m){
            s+=a[i];
            for (int j=0; j<n; j++){
                if ((kolkuZaIndeks[j]==a[i]) && (odKolkuZaIndeks[j]==false)){
                    odKolkuZaIndeks[j]=true;
                    baraniIndeksi.push_back(j);
                    break;
                }
            }
            ps++;
        }
        else {
            m+=a[i];
            for (int j=0; j<n; j++){
                if ((kolkuZaIndeks[j]==a[i]) && (odKolkuZaIndeks[j]==false)){
                    odKolkuZaIndeks[j]=true;
                    dadeniNaMartina.push_back(j);
                    break;
                }
            }
            pm++;
            //dadeniNaMartina.push_back(i);
        }
    }
    int h=0;
    if (s<poluZbir){
        while (s<poluZbir){
            s+=dadeniNaMartina[h];
            baraniIndeksi.push_back(dadeniNaMartina[h]);
            h++;
        }
    }

    for (int i=h; i<dadeniNaMartina.size(); i++){
        baraniIndeksi.push_back(dadeniNaMartina[i]);
    }

    return baraniIndeksi;

}